// Code generated by mockery v2.10.2. DO NOT EDIT.

package mocks

import (
	time "time"

	mock "github.com/stretchr/testify/mock"
)

// VariableStorageUsecase is an autogenerated mock type for the VariableStorageUsecase type
type VariableStorageUsecase struct {
	mock.Mock
}

// ClearContext provides a mock function with given fields: ctx
func (_m *VariableStorageUsecase) ClearContext(ctx string) error {
	ret := _m.Called(ctx)

	var r0 error
	if rf, ok := ret.Get(0).(func(string) error); ok {
		r0 = rf(ctx)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// GetInt provides a mock function with given fields: ctx, slug
func (_m *VariableStorageUsecase) GetInt(ctx string, slug string) (int, error) {
	ret := _m.Called(ctx, slug)

	var r0 int
	if rf, ok := ret.Get(0).(func(string, string) int); ok {
		r0 = rf(ctx, slug)
	} else {
		r0 = ret.Get(0).(int)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string, string) error); ok {
		r1 = rf(ctx, slug)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetString provides a mock function with given fields: ctx, slug
func (_m *VariableStorageUsecase) GetString(ctx string, slug string) (string, error) {
	ret := _m.Called(ctx, slug)

	var r0 string
	if rf, ok := ret.Get(0).(func(string, string) string); ok {
		r0 = rf(ctx, slug)
	} else {
		r0 = ret.Get(0).(string)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string, string) error); ok {
		r1 = rf(ctx, slug)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// SetInt provides a mock function with given fields: ctx, slug, data
func (_m *VariableStorageUsecase) SetInt(ctx string, slug string, data int) error {
	ret := _m.Called(ctx, slug, data)

	var r0 error
	if rf, ok := ret.Get(0).(func(string, string, int) error); ok {
		r0 = rf(ctx, slug, data)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// SetIntWithDuration provides a mock function with given fields: ctx, slug, data, duration
func (_m *VariableStorageUsecase) SetIntWithDuration(ctx string, slug string, data int, duration time.Duration) error {
	ret := _m.Called(ctx, slug, data, duration)

	var r0 error
	if rf, ok := ret.Get(0).(func(string, string, int, time.Duration) error); ok {
		r0 = rf(ctx, slug, data, duration)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// SetString provides a mock function with given fields: ctx, slug, data
func (_m *VariableStorageUsecase) SetString(ctx string, slug string, data string) error {
	ret := _m.Called(ctx, slug, data)

	var r0 error
	if rf, ok := ret.Get(0).(func(string, string, string) error); ok {
		r0 = rf(ctx, slug, data)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// SetStringWithDuration provides a mock function with given fields: ctx, slug, data, duration
func (_m *VariableStorageUsecase) SetStringWithDuration(ctx string, slug string, data string, duration time.Duration) error {
	ret := _m.Called(ctx, slug, data, duration)

	var r0 error
	if rf, ok := ret.Get(0).(func(string, string, string, time.Duration) error); ok {
		r0 = rf(ctx, slug, data, duration)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
